/* Change the breadcrumb links to be in foundry colours*/
a.overflow-hidden.text-ellipsis.whitespace-nowrap.hover\:text-foreground {
    color: #fcb434;
}

/*Change the breadcrumb text to be in italics*/
nav.flex.items-center.mb-4.space-x-1.text-sm.text-muted-foreground {
    font-style: italic;
}

/*Change the style of code blocks etc*/
:root pre {
    border: 1px solid; /* Specify border width and style */
    border-color: #fcb434; /* Change this to your desired color */
    border-radius: 5px; /* Adjust this to your desired corner roundness */
    background-color: #f6f6f6;
}

.dark pre {
    border: 1px solid; /* Specify border width and style */
    border-color: #fcb434; /* Change this to your desired color */
    border-radius: 5px; /* Adjust this to your desired corner roundness */
    background-color: #323232;
}

/*Set the image size for the Nuke logo*/
img.mr-2 {
    width: 120px;
}

/*Change background colour of expanded items*/
:root #left-sidebar a.current {
    background-color: white;
    border-radius: 0%;
}

.dark #left-sidebar a.current {
    background-color: black;
}

:root #left-sidebar ul {
    background-color: #f6f6f6;
}

.dark #left-sidebar ul {
    background-color: #323232;
}

/*Update muted backgrounds of muted elements to be foundry orange*/
.bg-muted {
    background-color: #fcb434 !important;
}
/*Update muted foreground text to be black*/
.text-muted-foreground {
    color: black;
}

/*Invert colours of code colouring when in dark mode*/
.dark .highlight .nl {
    filter: invert(100%);
}

.dark .highlight .nf {
    filter: invert(100%);
}

.dark .highlight .kt {
    filter: invert(100%);
}

.dark .highlight .k {
    filter: invert(100%);
}

/*Remove rounded borders of elements to match other docs*/
#search-input {
    border-radius: 0%;
    background-color: white;
}

.dark #search-input {
    background-color: black;
}

#left-sidebar {
    border-radius: 0%;
}

/*Change styling of right sidebar to match other docs*/
#right-sidebar ul li a[data-current=true]  {
    color: #fcb434 !important;
}

#right-sidebar ul li a  {
    color: black;
}

.dark #right-sidebar ul li a  {
    color: white;
}

/*Improve padding of right sidebar*/
#right-sidebar ul {
    padding-bottom: 20px;
}

#right-sidebar div {
    background-color: #f6f6f6;
    padding-left: 1.5rem;
}

.dark #right-sidebar div {
    background-color: #323232;
    padding-left: 1.5rem;
}

/*Make the on this page text bold as it is a heading*/
#right-sidebar .font-medium {
    font-weight: bold;
}

/*Change titlebar colour*/
.bg-background\/95 {
    background-color: #f6f6f6;
}

.dark .bg-background\/95 {
    background-color: #323232;
}

/*Make breadcrumb seperators white in dark mode*/
.dark .mr-1 {
    color: white;
}

/*Change colour of links when mouse hovers over them*/
a:hover {
    color: #fcb434 !important;
}

/*Make text in tables be top and left aligned rather than center aligned*/
td {
    vertical-align: top;
    text-align: left;
    width: 30%;
}

/*Add bottom padding to index page images*/
img.bottom-padding {
    padding-bottom: 10px;
}

/*Add card colouring*/
:root .sd-card {
    background-color: #f6f6f6;
}

.dark .sd-card {
    background-color: #323232;
}

/*Do not display headerlink pilcrow*/
.headerlink {
    display: none;
}

/*Change cards border hover colour to foundry yellow*/
.sd-card:hover {
    border-color: #fcb434;
}

.footnote {
    color: #fcb434;
    font-style: italic;
    opacity: 80%;
}

code {
  font-family: monospace;
}